"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const test_1 = require("@schematics/angular/utility/test");
const testing_1 = require("@angular-devkit/schematics/testing");
const path = require("path");
const testing_2 = require("../../utils/testing");
const collectionPath = path.join(__dirname, '../collection.json');
describe('ng-cli-wallaby-config', () => {
    let appTree;
    let runner;
    beforeEach(() => {
        appTree = testing_2.createTestApp();
        runner = new testing_1.SchematicTestRunner('schematics', collectionPath);
    });
    it('it should create wallaby.js file', () => {
        const tree = runner.runSchematic('ng-add', {}, appTree);
        expect(tree.read('/wallaby.js')).toBeDefined();
    });
    it('it should create wallabyTest.ts file', () => {
        const tree = runner.runSchematic('ng-add', {}, appTree);
        expect(tree.read('/src/wallabyTest.ts')).toBeDefined();
    });
    it('it should add devDependence in package.json', () => {
        const tree = runner.runSchematic('ng-add', {}, appTree);
        const packageJson = JSON.parse(test_1.getFileContent(tree, '/package.json'));
        expect(packageJson.devDependencies['wallaby-webpack']).toBeDefined();
        expect(packageJson.devDependencies['angular2-template-loader']).toBeDefined();
    });
    it('it should update tsconfig.app.json file', () => {
        const tree = runner.runSchematic('ng-add', {}, appTree);
        const tsconfigJson = JSON.parse(test_1.getFileContent(tree, '/src/tsconfig.app.json'));
        expect(tsconfigJson.exclude).toContain('wallabyTest.ts');
    });
});
//# sourceMappingURL=index_spec.js.map